package com.steering.pss.sale.order;

import CoreFS.SA06.CoreReturnObject;

import com.steering.comm.db.DBCommon;

public class CoreConReviewInfo extends DBCommon {
    /**
     * 查询产品信息
     * @param ordNo 合同号
     * @return CoreReturnObject
     */
    public CoreReturnObject getProInfomation(String ordNo) {
        Object[] params = new Object[] { ordNo };
        return this
                .getDataBySqlID("CoreConReviewInfo.getProInfomation", params);
    }

    /**
     * 查询评审信息
     * @param ordNo 合同号
     * @return CoreReturnObject
     */
    public CoreReturnObject getReviewInfomation(String ordNo) {
        Object[] params = new Object[] { ordNo };
        return this.getDataBySqlID("CoreConReviewInfo.getReviewInfomation",
                params);
    }

    /**
     * 查询评审信息
     * @param ordNo 合同号
     * @return CoreReturnObject
     */
    public CoreReturnObject getReviewInfomation(String ordNo, String ordLnPk) {
        Object[] params = new Object[] { ordNo, ordLnPk };
        return this.getDataBySqlID("CoreConReviewInfo.getReviewInfomationNext",
                params);
    }

    /**
     * 查询合同号
     * @param beginTime 开始时间
     * @param endTime 结束时间
     * @return CoreReturnObject
     */
    public CoreReturnObject getOrdNoByTime(String beginTime, String endTime) {
        Object[] params = new Object[] { beginTime, endTime };
        return this.getDataBySqlID("CoreConReviewInfo.getOrdNoByTime", params);
    }

    public CoreReturnObject getLastQualityDept(String ordLnPk) {
        Object[] params = new Object[] { ordLnPk, ordLnPk, ordLnPk };
        return this.getDataBySqlID("CoreConReviewInfo.getLastQualityDept",
                params);
    }
}
